# PetscFree2

Frees 2 chunks of memory obtained with PetscMalloc2()

### Input Parameter

| memory1 | - memory to free
| memory2 | - 2nd memory to free

### Synopsis

    PetscErrorCode PetscFree2(void *memory1,void *memory2)

Notes: Memory must have been obtained with PetscMalloc2()

### See Also

PetscNew(), PetscMalloc(), PetscMalloc2(), PetscFree()

Level:developer
Location: include/petsc.h
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex33.c.html